<html xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity5">
<div th:fragment="header" class="custom-header">
    <div class="custom-nav-container h-100">
        <input type="checkbox" id="check">
        <div class="custom-logo-container">
            <a href="/" alt="" class="custom-logo text-decoration-none">Wine<span>Lab</span></a>
        </div>
        <div class="custom-nav-btn">
            <div class="custom-nav-links">
                <ul>
                    <li class="custom-nav-link" style="--i: .6s">
                        <a href="#about" class="text-decoration-none">лаборатория</a>
                    </li>
                    <li class="custom-nav-link" style="--i: .8s">
                        <a href="/regulations" class="text-decoration-none">регламенты</a>
                    </li>
                    <li class="custom-nav-link" style="--i: .4s">
                        <a href="/news" class="text-decoration-none">новости</a>
                    </li>
                    <li class="custom-nav-link" style="--i: 1s">
                        <a href="#contacts" class="text-decoration-none">контакты</a>
                    </li>
                </ul>
            </div>
            <!--            <div sec:authorize="isAuthenticated()" class="nav-item active">-->
            <!--                <text class="nav-link">Привет, <span sec:authentication="name"></span></text>-->
            <!--            </div>-->
            <form class="custom-log-sign" style="--i: 1.2" method="post" th:action="@{/logout}">
                <button sec:authorize="isAuthenticated()" class="custom-btn-admin transparent" type="submit">Выйти</button>
                <button sec:authorize="isAnonymous()" th:href="@{~/login}" class="custom-btn-admin transparent" type="submit">Админка</button>
            </form>
        </div>
        <div class="custom-hamburger-menu-container">
            <div class="custom-hamburger-menu">
                <div></div>
            </div>
        </div>
    </div>
</div>
<!--<header th:fragment="header" >-->
<!--    <nav class="navbar navbar-expand-lg navbar-light bg-light rounded">-->
<!--        <a class="navbar-brand" href="/">Home</a>-->
<!--        <div class="collapse navbar-collapse">-->
<!--            <ul class="navbar-nav mr-auto">-->
<!--                <li class="nav-item">-->
<!--                    <a class="nav-link" href="/regulations">Регламенты</a>-->
<!--                </li>-->
<!--                <li class="nav-item">-->
<!--                    <a class="nav-link" href="#">Новости</a>-->
<!--                </li>-->
<!--                <li sec:authorize="isAuthenticated()" class="nav-item">-->
<!--                    <a class="nav-link" href="/admin-page">Админка</a>-->
<!--                </li>-->
<!--            </ul>-->
<!--            <div sec:authorize="isAuthenticated()" class="nav-item active">-->
<!--                <text class="nav-link">Привет, <span sec:authentication="name"></span></text>-->
<!--            </div>-->
<!--            <form class="form-inline my-2 my-md-0" method="post" th:action="@{/logout}">-->
<!--                <button sec:authorize="isAuthenticated()" class="btn btn-outline-danger my-2 btn-sm" type="submit">Выйти</button>-->
<!--                <button sec:authorize="isAnonymous()" th:href="@{~/login}" class="btn btn-outline-danger my-2 btn-sm" type="submit">Админка</button>-->
<!--            </form>-->
<!--        </div>-->
<!--    </nav>-->
<!--</header>-->


